Publish an organization's catalog
curl --request PUT \
--url https://api.integrateledger.com/v1/catalog \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schemaVersion": 1,
"environment": "sandbox",
"currency": "usd",
"plans": [
{
"id": "<string>",
"name": "<string>",
"monthlyCredits": 123,
"monthlyPriceCents": 1073741823
}
],
"features": [
{
"id": "<string>",
"name": "<string>",
"creditCost": 123
}
],
"addOns": [
{
"id": "<string>",
"name": "<string>",
"type": "credit_pack",
"creditAmount": 123,
"priceCents": 123
}
],
"policy": {
"onInsufficientCredits": "block"
}
}
'import requests
url = "https://api.integrateledger.com/v1/catalog"
payload = {
"schemaVersion": 1,
"environment": "sandbox",
"currency": "usd",
"plans": [
{
"id": "<string>",
"name": "<string>",
"monthlyCredits": 123,
"monthlyPriceCents": 1073741823
}
],
"features": [
{
"id": "<string>",
"name": "<string>",
"creditCost": 123
}
],
"addOns": [
{
"id": "<string>",
"name": "<string>",
"type": "credit_pack",
"creditAmount": 123,
"priceCents": 123
}
],
"policy": { "onInsufficientCredits": "block" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schemaVersion: 1,
environment: 'sandbox',
currency: 'usd',
plans: [
{
id: '<string>',
name: '<string>',
monthlyCredits: 123,
monthlyPriceCents: 1073741823
}
],
features: [{id: '<string>', name: '<string>', creditCost: 123}],
addOns: [
{
id: '<string>',
name: '<string>',
type: 'credit_pack',
creditAmount: 123,
priceCents: 123
}
],
policy: {onInsufficientCredits: 'block'}
})
};
fetch('https://api.integrateledger.com/v1/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.integrateledger.com/v1/catalog",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'schemaVersion' => 1,
'environment' => 'sandbox',
'currency' => 'usd',
'plans' => [
[
'id' => '<string>',
'name' => '<string>',
'monthlyCredits' => 123,
'monthlyPriceCents' => 1073741823
]
],
'features' => [
[
'id' => '<string>',
'name' => '<string>',
'creditCost' => 123
]
],
'addOns' => [
[
'id' => '<string>',
'name' => '<string>',
'type' => 'credit_pack',
'creditAmount' => 123,
'priceCents' => 123
]
],
'policy' => [
'onInsufficientCredits' => 'block'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.integrateledger.com/v1/catalog"
payload := strings.NewReader("{\n \"schemaVersion\": 1,\n \"environment\": \"sandbox\",\n \"currency\": \"usd\",\n \"plans\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"monthlyCredits\": 123,\n \"monthlyPriceCents\": 1073741823\n }\n ],\n \"features\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"creditCost\": 123\n }\n ],\n \"addOns\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"type\": \"credit_pack\",\n \"creditAmount\": 123,\n \"priceCents\": 123\n }\n ],\n \"policy\": {\n \"onInsufficientCredits\": \"block\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.integrateledger.com/v1/catalog")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"schemaVersion\": 1,\n \"environment\": \"sandbox\",\n \"currency\": \"usd\",\n \"plans\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"monthlyCredits\": 123,\n \"monthlyPriceCents\": 1073741823\n }\n ],\n \"features\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"creditCost\": 123\n }\n ],\n \"addOns\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"type\": \"credit_pack\",\n \"creditAmount\": 123,\n \"priceCents\": 123\n }\n ],\n \"policy\": {\n \"onInsufficientCredits\": \"block\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.integrateledger.com/v1/catalog")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"schemaVersion\": 1,\n \"environment\": \"sandbox\",\n \"currency\": \"usd\",\n \"plans\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"monthlyCredits\": 123,\n \"monthlyPriceCents\": 1073741823\n }\n ],\n \"features\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"creditCost\": 123\n }\n ],\n \"addOns\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"type\": \"credit_pack\",\n \"creditAmount\": 123,\n \"priceCents\": 123\n }\n ],\n \"policy\": {\n \"onInsufficientCredits\": \"block\"\n }\n}"
response = http.request(request)
puts response.read_body{
"changed": true,
"stripeSync": "synced"
}{
"error": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}API Reference
Publish an organization's catalog
PUT
/
v1
/
catalog
Publish an organization's catalog
curl --request PUT \
--url https://api.integrateledger.com/v1/catalog \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schemaVersion": 1,
"environment": "sandbox",
"currency": "usd",
"plans": [
{
"id": "<string>",
"name": "<string>",
"monthlyCredits": 123,
"monthlyPriceCents": 1073741823
}
],
"features": [
{
"id": "<string>",
"name": "<string>",
"creditCost": 123
}
],
"addOns": [
{
"id": "<string>",
"name": "<string>",
"type": "credit_pack",
"creditAmount": 123,
"priceCents": 123
}
],
"policy": {
"onInsufficientCredits": "block"
}
}
'import requests
url = "https://api.integrateledger.com/v1/catalog"
payload = {
"schemaVersion": 1,
"environment": "sandbox",
"currency": "usd",
"plans": [
{
"id": "<string>",
"name": "<string>",
"monthlyCredits": 123,
"monthlyPriceCents": 1073741823
}
],
"features": [
{
"id": "<string>",
"name": "<string>",
"creditCost": 123
}
],
"addOns": [
{
"id": "<string>",
"name": "<string>",
"type": "credit_pack",
"creditAmount": 123,
"priceCents": 123
}
],
"policy": { "onInsufficientCredits": "block" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schemaVersion: 1,
environment: 'sandbox',
currency: 'usd',
plans: [
{
id: '<string>',
name: '<string>',
monthlyCredits: 123,
monthlyPriceCents: 1073741823
}
],
features: [{id: '<string>', name: '<string>', creditCost: 123}],
addOns: [
{
id: '<string>',
name: '<string>',
type: 'credit_pack',
creditAmount: 123,
priceCents: 123
}
],
policy: {onInsufficientCredits: 'block'}
})
};
fetch('https://api.integrateledger.com/v1/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.integrateledger.com/v1/catalog",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'schemaVersion' => 1,
'environment' => 'sandbox',
'currency' => 'usd',
'plans' => [
[
'id' => '<string>',
'name' => '<string>',
'monthlyCredits' => 123,
'monthlyPriceCents' => 1073741823
]
],
'features' => [
[
'id' => '<string>',
'name' => '<string>',
'creditCost' => 123
]
],
'addOns' => [
[
'id' => '<string>',
'name' => '<string>',
'type' => 'credit_pack',
'creditAmount' => 123,
'priceCents' => 123
]
],
'policy' => [
'onInsufficientCredits' => 'block'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.integrateledger.com/v1/catalog"
payload := strings.NewReader("{\n \"schemaVersion\": 1,\n \"environment\": \"sandbox\",\n \"currency\": \"usd\",\n \"plans\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"monthlyCredits\": 123,\n \"monthlyPriceCents\": 1073741823\n }\n ],\n \"features\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"creditCost\": 123\n }\n ],\n \"addOns\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"type\": \"credit_pack\",\n \"creditAmount\": 123,\n \"priceCents\": 123\n }\n ],\n \"policy\": {\n \"onInsufficientCredits\": \"block\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.integrateledger.com/v1/catalog")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"schemaVersion\": 1,\n \"environment\": \"sandbox\",\n \"currency\": \"usd\",\n \"plans\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"monthlyCredits\": 123,\n \"monthlyPriceCents\": 1073741823\n }\n ],\n \"features\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"creditCost\": 123\n }\n ],\n \"addOns\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"type\": \"credit_pack\",\n \"creditAmount\": 123,\n \"priceCents\": 123\n }\n ],\n \"policy\": {\n \"onInsufficientCredits\": \"block\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.integrateledger.com/v1/catalog")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"schemaVersion\": 1,\n \"environment\": \"sandbox\",\n \"currency\": \"usd\",\n \"plans\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"monthlyCredits\": 123,\n \"monthlyPriceCents\": 1073741823\n }\n ],\n \"features\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"creditCost\": 123\n }\n ],\n \"addOns\": [\n {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"type\": \"credit_pack\",\n \"creditAmount\": 123,\n \"priceCents\": 123\n }\n ],\n \"policy\": {\n \"onInsufficientCredits\": \"block\"\n }\n}"
response = http.request(request)
puts response.read_body{
"changed": true,
"stripeSync": "synced"
}{
"error": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
1 Available options:
sandbox Available options:
usd Minimum array length:
1Show child attributes
Show child attributes
Minimum array length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes